summaryrefslogtreecommitdiff
path: root/tests/chmod/octal.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/octal.sh')
-rwxr-xr-xtests/chmod/octal.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/chmod/octal.sh b/tests/chmod/octal.sh
index 6f47a076c..23d0542f7 100755
--- a/tests/chmod/octal.sh
+++ b/tests/chmod/octal.sh
@@ -22,8 +22,8 @@ print_ver_ chmod
# Before coreutils-5.92, this would mistakenly succeed,
# and act like 'chmod 0 .'.
-chmod 0-followed-by-anything . 2> /dev/null && fail=1
-chmod 7-followed-by-anything . 2> /dev/null && fail=1
-chmod 8 . 2> /dev/null && fail=1
+for mode in '0-anything' '7-anything' '8'; do
+ returns_ 1 chmod "$mode" . 2>/dev/null || fail=1
+done
Exit $fail